Package org.eclipse.handly.model.impl.support

## Class SourceFile

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.handly.model.impl.support.Element
    - - org.eclipse.handly.model.impl.support.SourceFile

- All Implemented Interfaces:
    `org.eclipse.core.runtime.IAdaptable`, `IElement`, `IElementImpl`, `IElementImplExtension`, `ISourceElementImpl`, `ISourceFileImpl`, `ISourceFileImplExtension`, `IElementImplSupport`, `IModelManager.Provider`, `ISourceElementImplSupport`, `ISourceFileImplSupport`, `ISourceElement`, `ISourceFile`
  Direct Known Subclasses:
    `BaseSourceFile`, `FsSourceFile`, `WorkspaceSourceFile`

      public abstract class SourceFile
      extends Element
      implements ISourceFileImplSupport

  Provides a skeletal implementation of `ISourceFileImplExtension` to minimize the effort required to implement that interface. Clients might as well implement ("mix in") `ISourceFileImplSupport` directly if extending this class is not possible/desirable for some reason.
  See Also:
    `BaseSourceFile`, `FsSourceFile`, `WorkspaceSourceFile`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.handly.model.impl.IElementImplExtension

      `IElementImplExtension.CloseHint`

    - ### Nested classes/interfaces inherited from interface org.eclipse.handly.model.impl.support.ISourceFileImplSupport

      `ISourceFileImplSupport.NotifyingReconcileOperation, ISourceFileImplSupport.ReconcileOperation`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.handly.model.impl.IElementImplExtension

      `CLOSE_HINT, FORCE_OPEN`

    - ### Fields inherited from interface org.eclipse.handly.model.impl.support.IElementImplSupport

      `NEW_ELEMENTS, NO_BODY`

    - ### Fields inherited from interface org.eclipse.handly.model.impl.ISourceFileImplExtension

      `WORKING_COPY_BUFFER, WORKING_COPY_CALLBACK, WORKING_COPY_CONTEXT`

    - ### Fields inherited from interface org.eclipse.handly.model.impl.support.ISourceFileImplSupport

      `SOURCE_AST, SOURCE_CONTENTS, SOURCE_SNAPSHOT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceFile​(IElement parent, java.lang.String name)` | Constructs a handle for a source file with the given parent element and the given name.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.handly.model.impl.support.Element

      `equals, getName_, getParent_, hashCode, toString`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.handly.model.IElement

      `equals, hashCode`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.IElementImpl

      `equalsAndSameParentChain_, fetchChildren_, fetchChildrenOfType_, getChildrenOfType_, getHandleMemento_, getLocationUri_, getName_, getParent_, getResource_, getRoot_, toDisplayString_`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.IElementImplExtension

      `close_, getBody_, getBody_, getChildren_`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.support.IElementImplSupport

      `canEqual_, exists_, findBody_, getChildrenFromBody_, getElementManager_, getModel_, isOpenable_, newDoesNotExistException_, open_, peekAtBody_, remove_, removing_, toString_, toStringAncestors_, toStringBody_, toStringChildren_`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.support.IModelManager.Provider

      `getModelManager_`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.support.ISourceElementImplSupport

      `getSourceElementAt_, getSourceElementAt_, getSourceElementInfo_`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.ISourceFileImpl

      `getFile_, getFileStore_`

    - ### Methods inherited from interface org.eclipse.handly.model.impl.support.ISourceFileImplSupport

      `acquireExistingWorkingCopy_, becomeWorkingCopy_, buildSourceStructure_, buildStructure_, close_, defaultEquals_, defaultHashCode_, fileExists_, getBuffer_, getFileBuffer_, getFileObject_, getFileSnapshotProvider_, getReconcileOperation_, getWorkingCopyContext_, isWorkingCopy_, needsReconciling_, newWorkingCopyContext_, openParent_, reconcile_, releaseWorkingCopy_, toStringName_, validateExistence_, workingCopyModeChanged_`

- - ### Constructor Detail

    - #### SourceFile

          public SourceFile​(IElement parent,
                            java.lang.String name)

      Constructs a handle for a source file with the given parent element and the given name.
      Parameters:
        `parent` - the parent of the element, or `null` if the element has no parent
        `name` - the name of the element, or `null` if the element has no name